import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'paytype'
})
export class PaytypePipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 1:
        return '支付宝';
      case 2:
        return '微信';
      case 3:
        return '金币';
      case 4:
        return '汇联通工会卡';
      case 5:
        return '银联';
      default:
        return '未知';
    }
  }
}
